Name:		usbsoftrock
Version:	1.0.2
Release:	1%{?dist}
Summary:	Command line utility for interfacing with Si570 based SDR kits

Group:		Applications/Communications
License:	GPLv3+
URL:		http://code.google.com/p/usbsoftrock
Source0:	http://usbsoftrock.googlecode.com/files/%{name}-%{version}.tar.gz
Source1:	99-%{name}.rules
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	libusb-devel, ncurses-devel

%description
Simple program which accepts convenient command line options
(e.g., frequencies in MHz), speaks the DG8SAQ USB protocol, understands
the Si570, and can act as a daemon listening over UDP for control messages.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
chmod -x usbsoftrock.c
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}/%{_sysconfdir}/udev/rules.d
install -p -m 644 %{SOURCE1} %{buildroot}/%{_sysconfdir}/udev/rules.d


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README THANKS
%config(noreplace) %{_sysconfdir}/udev/rules.d/99-%{name}.rules
%{_bindir}/%{name}



%changelog
* Fri Nov 04 2011 Lucian Langa <cooly@gnome.eu.org> - 1.0.2-1
- initial spec file


